package com.cm.common.exception;

import com.cm.common.exception.base.SystemException;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: WechatUserInfoException
 * @Description: 微信用户异常
 * @Author: WangGeng
 * @Date: 2020/3/2 3:44 下午
 * @Version: 1.0
 **/
public class WechatUserInfoException extends SystemException {
    public WechatUserInfoException() {
    }

    public WechatUserInfoException(String message) {
        super(message);
    }

    public WechatUserInfoException(String message, boolean withMsg) {
        super(message, withMsg);
    }

    public WechatUserInfoException(String message, Throwable cause) {
        super(message, cause);
    }

    public WechatUserInfoException(Throwable cause) {
        super(cause);
    }
}
